### Method

# FwupdPlugin Device add_child

#### Declaration [src]

    void
    fu_device_add_child (
      FuDevice* self,
      FuDevice* child
    )

#### Description [src]

Sets any child device. An child device is logically linked to the primary device in some way.

Available since: | 1.0.8

#### Parameters

`child` | `FuDevice`
| Another `FuDevice`.
| The data is owned by the caller of the function.